//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//
//     (c) Copyright 2005 Xilinx, Inc.
//     All rights reserved.
//
/*
-------------------------------------------------------------------------------
   Title      : AUDIO FILTER DEMO DESIGN FOR THE XUP-V2Pro
   Project    : XUP-V2Pro 
-------------------------------------------------------------------------------
   File       : COLOR_PIPE.v
   Company    : Xilinx, Inc.
   Created    : 2001/07/17
   Last Update: 2005/01/24
   Copyright  : (c) Xilinx Inc, 2005
-------------------------------------------------------------------------------
   Uses       : 
-------------------------------------------------------------------------------
   Used by    : COLOR_CHAR_MODE_SVGA_CTRL.v
-------------------------------------------------------------------------------
   Description: This module creates a pipeline delay for the character color data
		    to synchronize the pixel data and the color data.
-------------------------------------------------------------------------------
   Revisions  :
   Date        Version  Author  	  Description
   2001/07/17  1.0      Ballantyne    Initial Release

-------------------------------------------------------------------------------
*/


module COLOR_PIPE (color_ram_data, pixel_clock, reset, aligned_color_data);
input	 [3:0] color_ram_data;		// the color of the character
input		 pixel_clock;			// pixel clock
input		 reset;					// reset
output[3:0]  aligned_color_data;	// time aligned color data

reg [3:0]	aligned_color_data;
reg [3:0]	color_pipe0;
reg [3:0]	color_pipe1;

always @ (posedge pixel_clock or posedge reset) begin
	if (reset) begin
		color_pipe0 <= 4'h0;
		color_pipe1 <= 4'h0;
		aligned_color_data <= 4'h0;
		end
	else begin
		color_pipe0 <= color_ram_data;
		color_pipe1 <= color_pipe0;
		aligned_color_data <= color_pipe1;
	end
end
endmodule //COLOR_PIPE

