//////////////////////////////////////////////////////////////////
// StepDown.v
//
// Using an 8 bit counter, slower the clock 256 times
// Rev 1.0a
// Date Mar 20, 2007
//
// myfifo.v
//  +shift16.v
//  +StepDown.v
/////////////////////////////////////////////////////////////////

module StepDown (SYSTEM_CLOCK, OUTPUT_CLOCK);
    parameter bitnum = 8;
    input SYSTEM_CLOCK;
    output OUTPUT_CLOCK;
    
    reg [bitnum-1:0] counter;
    
    initial begin
        counter = 0;
    end
    
    always @ (posedge SYSTEM_CLOCK) begin
       counter <= counter + 1;
    end
    
    assign OUTPUT_CLOCK = counter[bitnum-1];
    
endmodule