# Modelsim do file to simulate 1024 FFT
# Jeffrey Puk
# March 5, 2006
#
# Wave simulation

restart -force -nowave

onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /fft1024/clk
add wave -noupdate -format Logic /fft1024/fwd_inv
add wave -noupdate -format Logic /fft1024/fwd_inv_we
#add wave -noupdate -format Literal /fft1024/scale_sch
#add wave -noupdate -format Logic /fft1024/scale_sch_we
add wave -noupdate -format Logic /fft1024/ce
add wave -noupdate -format Logic /fft1024/start
add wave -noupdate -format Literal -radix decimal /fft1024/xn_re
add wave -noupdate -format Literal -radix decimal /fft1024/xn_im
add wave -noupdate -format Literal -radix decimal /fft1024/xn_index
add wave -noupdate -format Logic /fft1024/rfd
add wave -noupdate -format Logic /fft1024/busy
add wave -noupdate -format Logic /fft1024/dv
add wave -noupdate -format Logic /fft1024/edone
add wave -noupdate -format Logic /fft1024/done
add wave -noupdate -format Literal -radix decimal /fft1024/xk_re
add wave -noupdate -format Literal -radix decimal /fft1024/xk_im
add wave -noupdate -format Literal -radix decimal /fft1024/xk_index
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {0 ns} 0}
configure wave -namecolwidth 150
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {150 ns} {1150 ns}

# reset input
force xn_re 10#0
force xn_im 10#0
force fwd_inv 1
force fwd_inv_we 0
# force scale_sch 10#0
# force scale_sch_we 0

# set clock
force -r 100 clk 0 0 , 1 50
force ce 1
run 100

# fwd and scheduling
force fwd_inv 1
run 100
force fwd_inv_we 1
#run 100
#force fwd_inv_we 0

#force scale_sch 10#2
#run 100
#force scale_sch_we 1
#run 100
#force scale_sch_we 0
#run 100

# set input
force start 1
run 150
force xn_re 10#16
force xn_im 10#0
run 100
force xn_re 10#32
force xn_im 10#0
run 100
force xn_re 10#16
force xn_im 10#0
run 100
force xn_re 10#0
force xn_im 10#0
run 100
force xn_re 10#16
force xn_im 10#0
run 100
force xn_re 10#32
force xn_im 10#0
run 100
force xn_re 10#16
force xn_im 10#0
run 100
force xn_re 10#0
force xn_im 10#0
run 100
run 600000

wave zoomfull



